Error
A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"email": "[email protected]",
"role_id": 123,
"role": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_system_role": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"teams": [
{
"id": "<string>",
"name": "<string>",
"business_unit_id": "<string>",
"business_unit_name": "<string>"
}
],
"access_profile": {
"id": 123,
"user_id": "<string>",
"parent_profile_id": 123,
"name": "<string>",
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Users
Get user by email (deprecated path)
deprecated
Returns a single Enterprise user resolved by URL-encoded email address.
GET
/
api
/
users
/
email
/
{email}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"email": "[email protected]",
"role_id": 123,
"role": {
"id": 123,
"name": "<string>",
"description": "<string>",
"is_system_role": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"teams": [
{
"id": "<string>",
"name": "<string>",
"business_unit_id": "<string>",
"business_unit_name": "<string>"
}
],
"access_profile": {
"id": 123,
"user_id": "<string>",
"parent_profile_id": 123,
"name": "<string>",
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}This path is deprecated and will be removed in the following major release.
Use
/api/governance/users/email/{email} instead.This endpoint is available in Bifrost Enterprise only.
Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Response
Successful response
Unique user identifier
User's display name
User's email address
ID of the assigned RBAC role
RBAC role details
Show child attributes
Show child attributes
Teams the user belongs to.
Show child attributes
Show child attributes
Active or fallback user access profile, if assigned.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

